/**
 * @Filename XmlItem.cpp
 * @Description Implementation of the XmlItem class
 * @Status Implementing
 * @Version $Id: XmlItem.cpp 5913 2013-02-10 12:15:21Z jreis $
 * @Maintainer Nelson Ramos (nmsra@mega.ist.utl.pt)
 */

#include "XmlItem.hpp"

#include <typeinfo>

#include "XmlCharData.hpp"
#include "XmlElement.hpp"



using namespace mermaid::support::xml;



bool XmlItem::isXmlElement() const
{
  return (typeid (this) == typeid (XmlElement*));
}



bool XmlItem::isXmlCharData() const
{
  return (typeid (this) == typeid (XmlCharData*));
}
