## FindIPP
## Mantainer: Joao Reis <joaocgreis@gmail.com>

IF (IPP_INCLUDE_DIRS AND IPP_LIBRARIES)
   # in cache already - wont print a message
   SET(IPP_FIND_QUIETLY TRUE)
ENDIF ()

########################################################################
##  general find

IF(DEFINED ENV{IPPROOT})
  SET(IPPROOT $ENV{IPPROOT})
ELSE()
  # use default
  SET(IPPROOT "/opt/intel/ippsocrob")
ENDIF()

IF(EXISTS ${IPPROOT})
  SET(IPP_INCLUDE_DIRS "${IPPROOT}/include")
  SET(IPP_LIBRARIES "-lippi -lippcore -lippcc -lipps -lippm -lippvm -lippcv" )
ENDIF()

########################################################################
## finished - now just set up flags

INCLUDE(FindPackageHandleStandardArgs)

FIND_PACKAGE_HANDLE_STANDARD_ARGS(IPP DEFAULT_MSG IPP_LIBRARIES IPP_INCLUDE_DIRS)

MARK_AS_ADVANCED(IPP_INCLUDE_DIRS IPP_LIBRARIES)
