#!/bin/bash

BALL=$1
NOBALL=$2
DEST=$3

echo Making lut.
echo Ball = $BALL
echo No Ball = $NOBALL
echo Destination = $DEST
echo Enter to go or CTRL-C to cancel
read

(cd tools/lut_inspector/ && make ImageToLutRGB) &&
make lut_ops &&
echo &&
./tools/lut_inspector/ImageToLutRGB $BALL &&
mv lut_from_image.lut ball.lut &&
echo &&
./tools/lut_inspector/ImageToLutRGB $NOBALL &&
mv lut_from_image.lut noball.lut &&
echo &&
./bin/lut_ops g ball.lut:B new_lut.lut:B &&
echo &&
./bin/lut_ops g noball.lut:B new_lut.lut:N &&
echo &&
./bin/lut_ops i new_lut.lut $DEST &&
echo &&
echo DONE. &&
echo
