#ifndef _ARDUINO_CONVERTER_HPP_
#define _ARDUINO_CONVERTER_HPP_

#include <std_msgs/UInt16.h>
#include <ros/ros.h>



class ArduinoConverter
{
  public:
    ArduinoConverter ();
    
  private:
    void
    rawCallback (const std_msgs::UInt16::ConstPtr& msg);
    
    ros::NodeHandle nh_;
    ros::Publisher angle_pub_;
    ros::Subscriber raw_sub_;
};

#endif
