#ifndef CONTROL_SELECTOR_H
#define CONTROL_SELECTOR_H

#include <vector>

#include <ros/ros.h>

#include <socrob_ros/ControlInput.h>



class ControlSelector
{
  public:
    ControlSelector ();
    
  private:
    void
    add (std::string const& topic);
    
    void
    callback (std::size_t number,
              socrob_ros::ControlInput::ConstPtr const& msg);
              
    std::size_t last_published_;
    
    ros::NodeHandle nh_;
    ros::Publisher final_pub_;
    std::vector<ros::Subscriber> subs_;
};

#endif
