#ifndef _SENSORS_CONSTS_HPP_
#define _SENSORS_CONSTS_HPP_



#define IMAGE_WIDTH 1056
#define IMAGE_HEIGHT 1056



namespace constants
{
  namespace LinePoints
  {
    const unsigned num_radial_rays_to_search = 150;
    
    const unsigned robot_radius = 190;
    
    const int pixel_jump_in_each_row = 0;
    const unsigned radius_where_the_alternate_rows_start = 0;
    /// -20 to clip margins. +1000 to include all the image. Use as you like.
    const int radius_increment = +1000;
    
    const unsigned max_number_of_samples_to_send = 50;
    
    const unsigned num_black_frames_before_crash_hack = 5;
    
    const unsigned max_lines_on_a_ray = 2;
    
    /// Maximum length of a detected white line segment in meters.
    const float maximum_transition_length = 1.00;
    
    const int highest_black = 20;
  }
}

#endif
