/**
 * @Filename ImageFrameRobotFrameTransformations.cpp
 * @Description Transform image frame coordinates to robot frame coordinates
 * and vice-versa.
 * @Status Implementing
 * @Version $Id: ImageFrameRobotFrameTransformations.cpp 5864 2012-12-08 14:40:54Z jreis $
 * @Maintainer Hugo Costelha
 */

#include "ImageFrameRobotFrameTransformations.hpp"

#include <socrob/math.h>
using namespace socrob;
#include <socrob/math.h>
using namespace socrob;



ImageFrameRobotFrameTransformations::ImageFrameRobotFrameTransformations() :
  xRobotInImg_ (0), yRobotInImg_ (0), xCamera_ (0), yCamera_ (0),
  cameraDistance_ (0)
{
}



ImageFrameRobotFrameTransformations::~ImageFrameRobotFrameTransformations()
{
}



float ImageFrameRobotFrameTransformations::getCameraDistance()
{
  return cameraDistance_;
}
