/**
 * @Filename WorldInfo.hpp
 * @Description ...to be described...
 * @Status unknown
 * @Version $Id: WorldInfo.hpp 5693 2012-05-26 03:41:22Z jreis $
 * @Maintainer Joao Reis <joaocgreis@ist.utl.pt>
 */

#ifndef _WORLDINFO_HPP_
#define _WORLDINFO_HPP_

#include <string>

#include <Data.hpp>
#include <MessageWorldInfoUpdateData.hpp>



namespace WorldInfo
{
  using std::string;
  
  void initialize();
  
  void registerService (string dataName, Receiver<MessageWorldInfoUpdateData>* service);
  
  void putData (string dataName, shared_ptr<Data const> const& data);
  shared_ptr<Data const> getData (string dataName);
};

#endif
