#!/bin/bash

if [ -z "$MY_ID" ]; then
  echo "ERROR: Environment variable MY_ID must be set: export MY_ID=2"
  exit 1
fi

rosparam set robot_number $MY_ID
rosparam set playing_magenta false
rosparam set goal_is_north true

rosparam load `rospack find socrob_ros`/config/field_lrm.yaml field
rosparam load `rospack find socrob_ros`/config/luts.yaml luts
rosparam set luts/path `rospack find socrob_ros`/luts

rosparam set platform_hack robotmsl
