#ifndef SEARCH_CACHE_H
#define SEARCH_CACHE_H

#include <vector>
#include <opencv2/core/core.hpp>



class SearchCache
{
  public:
    SearchCache (int W, int H);
    std::vector<std::vector<cv::Point> > const& getPoints() const {
      return points;
    }
  private:
    std::vector<std::vector<cv::Point> > points;
};

#endif
