/**
 * @Filename MessageDataGyroAngle.hpp
 * @Description Implementation of the MessageDataGyroAngle class
 * @Status In progress
 * @Version $Id: MessageDataGyroAngle.hpp 5866 2012-12-14 01:07:05Z jreis $
 * @Maintainer Joao Reis
 */

#ifndef COMPONENTS_MESSAGE_DATA_GYRO_ANGLE_HPP
#define COMPONENTS_MESSAGE_DATA_GYRO_ANGLE_HPP

#include <set>

#include <Receiver.hpp>

#include <SocRobService.hpp>



using std::set;



/**
 * @Class MessageDataGyroAngle MessageDataGyroAngle.hpp "MessageDataGyroAngle.hpp"
 * Message.
 * @Author Joao Reis
 */
class MessageDataGyroAngle
{
};



template <>
class Receiver<MessageDataGyroAngle>
{
  public:
    Receiver () {}
    
    virtual
    ~Receiver() {}
    
    virtual
    void
    processGyroAngle (float angle,
                      TimeStamp const& ts) = 0;
};

#endif
