/**
 * @Filename MessageResetGyroGB.hpp
 * @Description Implementation of the MessageResetGyroGB class
 * @Status In progress
 * @Version $Id: MessageResetGyroGB.hpp 5866 2012-12-14 01:07:05Z jreis $
 * @Maintainer Joao Reis
 */

#ifndef COMPONENTS_MESSAGE_RESET_GYRO_G_B_HPP
#define COMPONENTS_MESSAGE_RESET_GYRO_G_B_HPP

#include <Receiver.hpp>

#include <SocRobService.hpp>



/**
 * @Class MessageResetGyroGB MessageResetGyroGB.hpp "MessageResetGyroGB.hpp"
 * Message.
 * @Author Joao Reis
 */
class MessageResetGyroGB
{
  public:
    static
    shared_ptr<MessageResetGyroGB>
    buildAndSend () {
      return shared_ptr<MessageResetGyroGB>();
    }
};

#endif
